Loading...
Searching...
No Matches
type_select< T0, T1, T2, T3 >::select< Id > Struct Template Reference

## Public Types

typedef etl::conditional< Id==0, T0, typenameetl::conditional< Id==1, T1, typenameetl::conditional< Id==2, T2, typenameetl::conditional< Id==3, T3, etl::null_type< 0 > >::type >::type >::type >::type | type

## Public Member Functions

| ETL_STATIC_ASSERT (Id< 4, "Invalid Id")

The documentation for this struct was generated from the following file:

- include/etl/private/type_select_cpp03.h